<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
	xmlns:composite="http://java.sun.com/jsf/composite">

<composite:interface>

	<composite:attribute name="id" default="" />
	<composite:attribute name="value" default="" />
	<composite:attribute name="styleClass" default="" />

</composite:interface>


<composite:implementation>


	<h:outputText id="#{cc.attrs.id}_output"
		styleClass="outputtext_style #{cc.attrs.styleClass}"
		value="#{cc.attrs.value}" rendered="#{!modificationGeneral}" />

	<p:inputText id="#{cc.attrs.id}" styleClass="#{cc.attrs.styleClass}"
		value="#{cc.attrs.value}" rendered="#{modificationGeneral}" />


</composite:implementation>

</html>
